summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSergey Ilinykh <rion4ik@gmail.com>2017-12-22 12:47:05 +0500
committerMichał Górny <mgorny@gentoo.org>2018-03-03 14:19:36 +0100
commit15309264e4ec6211fc6471512e6c787f44653d86 (patch)
treed3851298390ad20cc32aba9fcf7a41868e784bda /net-im/psi/psi-9999.ebuild
parentsys-devel/qconf: bumped to 2.4 (diff)
downloadgentoo-15309264e4ec6211fc6471512e6c787f44653d86.tar.gz
gentoo-15309264e4ec6211fc6471512e6c787f44653d86.tar.bz2
gentoo-15309264e4ec6211fc6471512e6c787f44653d86.zip
net-im/psi: qconf dependency raised to 2.4
to fix compatibility with Qt-5.10 Also changed desktop icons cache regeneration. Closes: https://bugs.gentoo.org/630466 Closes: https://github.com/gentoo/gentoo/pull/6597 Package-Manager: Portage-2.3.19, Repoman-2.3.6
Diffstat (limited to 'net-im/psi/psi-9999.ebuild')
-rw-r--r--net-im/psi/psi-9999.ebuild20
1 files changed, 11 insertions, 9 deletions
diff --git a/net-im/psi/psi-9999.ebuild b/net-im/psi/psi-9999.ebuild
index e6240c96afa4..59adb2304195 100644
--- a/net-im/psi/psi-9999.ebuild
+++ b/net-im/psi/psi-9999.ebuild
@@ -6,7 +6,7 @@ EAPI=6
PLOCALES="be bg ca cs de en eo es et fa fi fr he hu it ja kk mk nl pl pt pt_BR ru sk sl sr@latin sv sw uk ur_PK vi zh_CN zh_TW"
PLOCALE_BACKUP="en"
-inherit l10n git-r3 qmake-utils xdg-utils
+inherit l10n git-r3 qmake-utils gnome2-utils xdg-utils
DESCRIPTION="Qt XMPP client"
HOMEPAGE="http://psi-im.org/"
@@ -22,9 +22,6 @@ SLOT="0"
KEYWORDS=""
IUSE="aspell crypt dbus debug doc enchant extras +hunspell iconsets sql ssl webengine webkit whiteboarding xscreensaver"
-# qconf generates not quite compatible configure scripts
-QA_CONFIGURE_OPTIONS=".*"
-
REQUIRED_USE="
?? ( aspell enchant hunspell )
iconsets? ( extras )
@@ -65,7 +62,7 @@ DEPEND="${RDEPEND}
dev-qt/linguist-tools:5
virtual/pkgconfig
doc? ( app-doc/doxygen )
- extras? ( >=sys-devel/qconf-2.3 )
+ extras? ( >=sys-devel/qconf-2.4 )
"
PDEPEND="
crypt? ( app-crypt/qca[gpg] )
@@ -140,6 +137,8 @@ src_prepare() {
src_configure() {
CONF=(
+ --prefix="${EPREFIX}"/usr
+ --libdir="${EPREFIX}"/usr/$(get_libdir)
--no-separate-debug-info
--qtdir="$(qt5_get_bindir)/.."
$(use_enable aspell)
@@ -154,7 +153,10 @@ src_configure() {
use webengine && CONF+=("--enable-webkit" "--with-webkit=qtwebengine")
use webkit && CONF+=("--enable-webkit" "--with-webkit=qtwebkit")
- econf "${CONF[@]}"
+ # This may generate warnings if passed option already matches with default.
+ # Just ignore them. It's how qconf-based configure works and will be fixed in
+ # future qconf versions.
+ ./configure "${CONF[@]}" || die "configure failed"
eqmake5 psi.pro
}
@@ -188,12 +190,12 @@ src_install() {
l10n_for_each_locale_do install_locale
}
-pkg_postinst(){
- xdg_mimeinfo_database_update
+pkg_postinst() {
+ gnome2_icon_cache_update
xdg_desktop_database_update
}
pkg_postrm() {
+ gnome2_icon_cache_update
xdg_desktop_database_update
- xdg_mimeinfo_database_update
}